
<div class="limiter">
    <div class="container-login100">
        <div class="wrap-login100">
            <!-- <div class="login100-pic js-tilt" data-tilt>
                <img src="../assets/images/Imarain_logo.png" alt="IMG">
            </div> -->
            <form class="login100-form validate-form" #registerForm="ngForm" (ngSubmit)="submitForm()">
                <span class="login100-form-title">
                    Recupera tu contraseña
                </span>

                <div class="wrap-input100 validate-input" data-validate = "Password is required">
                    <input class="input100" type="password" name="password"
                    #password="ngModel" [(ngModel)]="passInfo.password" required  minlength="6" placeholder="Nueva Contraseña" />
                    <span class="focus-input100"></span>
                    <span class="symbol-input100">
                        <i class="fa fa-lock" aria-hidden="true"></i>
                    </span>
                    
                    <div *ngIf="password.invalid && (password.dirty || password.touched)"> 
                        <small *ngIf="password.errors.minlength" class="invalid-feedback d-block">
                            Ingresa una Contraseña minimo de 6 caracteres
                        </small>
                        <small *ngIf="password.errors.required" class="invalid-feedback d-block">
                           La contraseña es requerida
                        </small>
                    </div>
                </div>

                <div class="wrap-input100 validate-input" data-validate = "Password is required">
                    <input class="input100" type="password" name="validate-password"
                    #validatepassword="ngModel" [(ngModel)]="passInfo.reEnterPass" required  minlength="6" placeholder="Ingresa de nuevo la contraseña" />
                    <span class="focus-input100"></span>
                    <span class="symbol-input100">
                        <i class="fa fa-lock" aria-hidden="true"></i>
                    </span>
                    <div *ngIf="validatepassword.invalid && (validatepassword.dirty || validatepassword.touched)"> 
                        <small *ngIf="validatepassword.errors.required" class="invalid-feedback d-block">
                           Es requerido reingresar la contraseña
                        </small>
                    </div>
                    <div *ngIf="validatepassword.dirty || validatepassword.touched"> 
                        <small *ngIf="passInfo.password != passInfo.reEnterPass" class="invalid-feedback d-block">
                            Las contraseñas no coinciden
                        </small>
                    </div>
                    
                </div>
                
                <div class="container-login100-form-btn">
                    <input type="submit" class="login100-form-btn" [disabled]="registerForm.invalid" value="Cambiar contraseña">
                </div>
                <div class="text-center p-t-12">
                    <a class="txt2" [routerLink] = "['/login']">
                        <i class="fa fa-long-arrow-left m-l-5" aria-hidden="true"></i>
                       Regresar al login
                    </a>
                </div>

                <!-- <div class="text-center p-t-12">
                    <span class="txt1">
                        Forgot
                    </span>
                    <a class="txt2" href="#">
                        Username / Password?
                    </a>
                </div> -->

                <!-- <div class="text-center p-t-12">
                    <a class="txt2" href="#">
                        Crea tu cuenta
                        <i class="fa fa-long-arrow-right m-l-5" aria-hidden="true"></i>
                    </a>
                </div> -->
            </form>
        </div>
    </div>
</div>
<p-dialog header="{{modalTitle}}" modal="true" position="bottom-right" [(visible)]="displayConfirmationModal" >
    <div class="wrap-input100 validate-input" data-validate = "Valid email is required: ex@abc.xyz">
       <p class="txt2">{{genericMesagge}}</p>
    </div>
    <div class="container-login100-form-btn">
        <button type="button" 
        class="login100-form-btn" (click)="hideConfirmationModal();" style="{{btnStyle}}">
            <p></p> Ir al login <i class="{{icon}}" aria-hidden="true" style="padding: 5px;"></i>
        </button>
    </div>
</p-dialog>

<ngx-spinner></ngx-spinner>



